Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.event
Class StructureEvent

    java.lang.Object
      java.util.EventObject
          org.apache.slide.event.StructureEvent

All Implemented Interfaces:
  java.io.Serializable

public class StructureEvent
extends java.util.EventObject

Structure event class

Version:
  $Revision: 1.4 $
See Also:
  Serialized Form

Nested Class Summary
`static class` | `StructureEvent.AddBinding`
`static class` | `StructureEvent.Create`
`static class` | `StructureEvent.CreateLink`
`static class` | `StructureEvent.Remove`
`static class` | `StructureEvent.RemoveBinding`
`static class` | `StructureEvent.Retrieve`
`static class` | `StructureEvent.Store`

Field Summary
`static StructureEvent.AddBinding` | `ADD_BINDING`
`static StructureEvent.Create` | `CREATE`
`static StructureEvent.CreateLink` | `CREATE_LINK`
`static java.lang.String` | `GROUP`
`static AbstractEventMethod[]` | `methods`
`static StructureEvent.Remove` | `REMOVE`
`static StructureEvent.RemoveBinding` | `REMOVE_BINDING`
`static StructureEvent.Retrieve` | `RETRIEVE`
`static StructureEvent.Store` | `STORE`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`StructureEvent(java.lang.Object source, SlideToken token, Namespace namespace, ObjectNode objectNode)`
`StructureEvent(java.lang.Object source, SlideToken token, Namespace namespace, java.lang.String uri)`
`StructureEvent(java.lang.Object source, SlideToken token, ObjectNode objectNode, java.lang.String uri)`

Method Summary
`Namespace` | `getNamespace()`
`ObjectNode` | `getObjectNode()`
`SlideToken` | `getToken()`
`java.lang.String` | `getUri()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RETRIEVE

    public static final StructureEvent.Retrieve RETRIEVE

### STORE

    public static final StructureEvent.Store STORE

### CREATE

    public static final StructureEvent.Create CREATE

### REMOVE

    public static final StructureEvent.Remove REMOVE

### CREATE_LINK

    public static final StructureEvent.CreateLink CREATE_LINK

### ADD_BINDING

    public static final StructureEvent.AddBinding ADD_BINDING

### REMOVE_BINDING

    public static final StructureEvent.RemoveBinding REMOVE_BINDING

### GROUP

    public static final java.lang.String GROUP

See Also:
  Constant Field Values

### methods

    public static final AbstractEventMethod[] methods

Constructor Detail

### StructureEvent

    public StructureEvent(java.lang.Object source,
                          SlideToken token,
                          Namespace namespace,
                          java.lang.String uri)

### StructureEvent

    public StructureEvent(java.lang.Object source,
                          SlideToken token,
                          Namespace namespace,
                          ObjectNode objectNode)

### StructureEvent

    public StructureEvent(java.lang.Object source,
                          SlideToken token,
                          ObjectNode objectNode,
                          java.lang.String uri)

Method Detail

### toString

    public java.lang.String toString()

### getToken

    public SlideToken getToken()

### getObjectNode

    public ObjectNode getObjectNode()

### getUri

    public java.lang.String getUri()

### getNamespace

    public Namespace getNamespace()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD